Help please with iPlus 2.0 and new UK iPhone

Discussion in 'Jailbreaks and iOS Hacks' started by Moi un Mouton, Mar 18, 2008.

  1. Moi un Mouton macrumors 68000

    Joined:
    Mar 18, 2008
    Location:
    Bracknell UK
    #1
    Help!!!

    I got my new iPhone today, UK version with 1.1.3 OTB.

    I want to jailbreak, activate and unlock to use with my existing carrier.

    Having read up on iPlus 2.0, I downloaded the 1.1.4 firmware, and went into DFU to restore to 1.1.4 through iTunes. That seemed to go OK, and checking the version it had done the upgrade.

    I then ran iPlus2.0 (with the international payload installed) with the command "iplus -u".

    It gets to the 2nd pass, but then gives these messages on the iPhone's screen:

    Unpacking main payload.
    Please wait.....
    /bin2/master.sh.35: /do_payload.sh:
    bad interpreter: /bin/sh: no such file or directory
    cp:
    /private/var/mobile/Media/payload/bin/reboot: No such file or directory
    chmod: /sbin/reboot: No such file or directory
    The iPhone will now reboot

    (But it doesn't!!!!!!!!! - just sits there - meanwhile the cmd screen seems to think it went OK and says enjoy your iphone or words to that effect.)

    I've tried a few times, always with the same result.

    Can anyone tell me what I'm doing wrong?

    Thanks
     
  2. xSOTYx macrumors member

    Joined:
    Aug 20, 2007
    Location:
    United Kingdom
    #2
    Im just having the same issue. Did you manage to over come this issue?
     
  3. Moi un Mouton thread starter macrumors 68000

    Joined:
    Mar 18, 2008
    Location:
    Bracknell UK
    #3
    Hi - yes I did. The problem was that the international package is corrupt. The correct one can be found here: http://ipluspwns.com/?q=node/2

    After that, no problems whatsoever, an now running on my Tesco Mobile payg card :D

    iPlus is great !!!!
     
  4. xSOTYx macrumors member

    Joined:
    Aug 20, 2007
    Location:
    United Kingdom
    #4
    Ah nice one. Thanks. In the end last night I just used iPlus without the international package and to my surprise. Everything including EGDE, My Location etc worked perfect with my T-Mobile contract sim!

    Thanks for the link. Sure ill need it at some point! :D
     
  5. Moi un Mouton thread starter macrumors 68000

    Joined:
    Mar 18, 2008
    Location:
    Bracknell UK
    #5
    Well I'm new to all this, I think I read that the international package helps with caller-ID, phone number formats and stuff like that, so if you find problems in those areas it should help.
     
  6. xSOTYx macrumors member

    Joined:
    Aug 20, 2007
    Location:
    United Kingdom
    #6
    Ah thats great thank you. Might be worth me doing a restore and adding the international pack. :D Cheers for the link and help! Hope yours is going as well as mine :D
     
  7. Rotara macrumors member

    Joined:
    Mar 28, 2008
    Location:
    London UK
    #7
    What's the title of the International Payload? I had a look on the iPlus download repository and I haven't a clue what I'm looking for. I'm in the UK so will need the English English version of everything..! Many Thanks
     
  8. spinstorm macrumors 68000

    Joined:
    Sep 14, 2007
    #8
    The international payload is for people in countries that the iPhone does not support.

    Obviously it is out in UK ,Germany,France and a few other European countries as well as the US and anyone in those places do not need the international payload!

    Its not like you need it if you buy one from O2 and unlocking/ jailbreaking doesn't in any way make any changes to the phone that would stop the comparability in those countries its out in!
     
  9. Moi un Mouton thread starter macrumors 68000

    Joined:
    Mar 18, 2008
    Location:
    Bracknell UK
    #9
    I think you need the international payload in the UK if your phone came from, for example, the US. If that's the case, clicking the link that I put a few posts above downloads the right version for you.

    Here it is again: http://ipluspwns.com/?q=node/2
     
  10. spinstorm macrumors 68000

    Joined:
    Sep 14, 2007
    #10
    No you don't need the international payload if your in the UK and it came from the US or Germany, France, etc!

    This is because the 1.1.4 firmware is standard in all countries and has the languages and settings for all of the countries the iPhone is out in already.

    So you don't need the international payload!
     

Share This Page